import Instantiable from './Instantiable.ts'
import {StaticClass} from './StaticClass.ts'
const DEPENDENCY_KEYS_METADATA_KEY = 'daton:di:dependencyKeys.ts'

/**
 * Type used to represent a value that can identify a factory in the container.
 */
type DependencyKey = Instantiable<any> | StaticClass<any, any> | string

export { DependencyKey, DEPENDENCY_KEYS_METADATA_KEY }
