import AppClass from '../lifecycle/AppClass.ts'
import {Request} from './Request.ts'
import {RouteHandlerReturnValue} from '../unit/Routing.ts'

/**
 * Base class for HTTP middleware.
 * @extends AppClass
 */
export default class Middleware extends AppClass {

    /**
     * Handle the incoming request and apply this middleware.
     * @param {Request} request
     * @return RouteHandlerReturnValue
     */
    public handleRequest(request: Request): RouteHandlerReturnValue {
        return
    }

}
